<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:id="@id/layout_activity_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/maskContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/launcher_background"
        android:visibility="gone">

        <ImageView
            android:id="@+id/placeholderImageTopIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/bg_splash_top"
            android:visibility="invisible"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/adContentTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_margin="80dp"
            android:gravity="center_horizontal"
            android:includeFontPadding="false"
            android:lineSpacingExtra="10dp"
            android:text="战歌竞技场已首发上限！\n腾讯自走棋2.0大作，极速对决体验"
            android:textColor="@color/text_subtitle"
            android:textSize="13sp"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/placeholderImageTopIv"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/adBtn"
            android:layout_width="80dp"
            android:layout_height="24dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="24dp"
            android:background="@drawable/border_round_theme_15"
            android:gravity="center"
            android:text="点击查看"
            android:textColor="@color/theme_font"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/adContentTv"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/startAdContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/background"
        android:visibility="gone"
        tools:visibility="visible">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/adImage"
            style="@style/frescoStyle"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:scaleType="centerCrop"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/logoIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="66dp"
            android:src="@drawable/ic_start_ad_logo"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/jumpBtn"
            android:layout_width="66dp"
            android:layout_height="32dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/button_round_black_alpha_50"
            android:gravity="center"
            android:text="跳过 3"
            android:textColor="@color/white"
            android:textSize="@dimen/secondary_size"
            app:layout_constraintBottom_toBottomOf="@+id/logoIv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/logoIv" />

        <TextView
            android:id="@+id/jumpDetailBtn"
            android:layout_width="wrap_content"
            android:layout_height="48dp"
            android:layout_marginBottom="80dp"
            android:background="@drawable/button_round_black_alpha_50_stroke_white_20"
            android:drawablePadding="4dp"
            android:gravity="center"
            android:paddingStart="24dp"
            android:paddingEnd="24dp"
            android:text="点击跳转详情页或第三方应用"
            android:textColor="@color/white"
            android:textSize="@dimen/primary_text_size"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>